--- title: "Get cluster ACG list" slug: "analytics-vpcsearchengine-cluster-getclusteracginfo" tags: ["Search Engine Service"] updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-cluster-getclusteracginfo" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get cluster ACG list Available in VPC Get search engine cluster ACG rule list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/cluster/getAcgInfoList/{serviceGroupInstanceNo} (Korea Region) | | GET | /api/sgn-v2/cluster/getAcgInfoList/{serviceGroupInstanceNo} (Singapore Region) | | GET | /api/jpn-v2/cluster/getAcgInfoList/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/getAcgInfoList/1037****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.managerNodeAcgRule` | Object | - | Manager node ACG rule | | `result.managerNodeAcgRule.inboundAcgRules` | Array | - | Inbound ACG rule: [ACG rule information](/docs/en/analytics-vpcsearchengine-cluster-getclusteracginfo#ACG%EA%B7%9C%EC%B9%99%EC%A0%95%EB%B3%B4) | | `result.managerNodeAcgRule.outboundAcgRules` | Array | - | Outbound ACG rule: [ACG rule information](/docs/en/analytics-vpcsearchengine-cluster-getclusteracginfo#ACG%EA%B7%9C%EC%B9%99%EC%A0%95%EB%B3%B4) | | `result.dataNodeAcgRule` | Object | - | Data node ACG rule | | `result.dataNodeAcgRule.inboundAcgRules` | Array | - | Inbound ACG rule: [ACG rule information](/docs/en/analytics-vpcsearchengine-cluster-getclusteracginfo#ACG%EA%B7%9C%EC%B9%99%EC%A0%95%EB%B3%B4) | | `result.dataNodeAcgRule.outboundAcgRules` | Array | - | Outbound ACG rule: [ACG rule information](/docs/en/analytics-vpcsearchengine-cluster-getclusteracginfo#ACG%EA%B7%9C%EC%B9%99%EC%A0%95%EB%B3%B4) | | `result.masterNodeAcgRule` | Object | - | Master node ACG rule | | `result.masterNodeAcgRule.inboundAcgRules` | Array | - | Inbound ACG rule: [ACG rule information](/docs/en/analytics-vpcsearchengine-cluster-getclusteracginfo#ACG%EA%B7%9C%EC%B9%99%EC%A0%95%EB%B3%B4) | | `result.masterNodeAcgRule.outboundAcgRules` | Array | - | Outbound ACG rule: [ACG rule information](/docs/en/analytics-vpcsearchengine-cluster-getclusteracginfo#ACG%EA%B7%9C%EC%B9%99%EC%A0%95%EB%B3%B4) | | `requestId` | String | - | ID for the request - UUID format | #### ACG rule information The following describes the ACG rule information. | Field | Type | Required | Description | | --- | --- | --- | --- | | `accessControlGroupName` | String | - | ACG name | | `accessControlGroupNo` | Integer | - | ACG ID | | `createdYmdt` | Object | - | Rule creation date and time | | `createdYmdt.formattedDate` | String | - | Rule creation date - yyyy-MM-dd format | | `createdYmdt.formattedDateTime` | String | - | Rule creation date and time - yyyy-MM-dd HH:mm:ss SSSSSS format | | `createdYmdt.utc` | Integer | - | Rule creation date and time (millisecond) - Unix timestamp format | | `description` | String | - | Rule description | | `statusCode` | String | - | Rule status | | `accessControlGroupRuleNo` | Integer | - | Rule ID | | `accessControlGroupSequence` | Integer | - | ACG ID of the access source - Display valid values when the access source of an inbound rule is ACG. | | `ipBlock` | String | - | Access source or destination IP - Display valid values when the access source or destination is a single IP. | | `isInboundRule` | Boolean | - | Inbound rule status - `true` \| `false` - `true`: inbound rule - `false`: outbound rule | | `portRange` | String | - | Allowed port number | | `protocolTypeCode` | String | - | Allowed protocol | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "managerNodeAcgRule": { "inboundAcgRules": [ { "accessControlGroupName": "searchengine-do-1prxlw", "accessControlGroupNo": 250026, "createdYmdt": { "formattedDate": "2025-03-21", "formattedDateTime": "2025-03-21 10:19:24 000887", "utc": 1742519964887 }, "description": "(automatically created, don't delete it) for the Search Engine Cluster itself", "statusCode": "RUN", "accessControlGroupRuleNo": 1118600, "accessControlGroupSequence": 250025, "ipBlock": null, "isInboundRule": true, "portRange": "9300", "protocolTypeCode": "tcp" }, ... ], "outboundAcgRules": [ { "accessControlGroupName": null, "accessControlGroupNo": 250026, "createdYmdt": { "formattedDate": "2025-03-21", "formattedDateTime": "2025-03-21 10:19:24 000907", "utc": 1742519964907 }, "description": "automatically created, don't delete it", "statusCode": "RUN", "accessControlGroupRuleNo": 641664, "accessControlGroupSequence": null, "ipBlock": "0.0.0.0/0", "isInboundRule": false, "portRange": null, "protocolTypeCode": "icmp" }, ... ] }, "dataNodeAcgRule": { "inboundAcgRules": [ { "accessControlGroupName": "searchengine-do-1prxlw", "accessControlGroupNo": 250025, "createdYmdt": { "formattedDate": "2025-03-21", "formattedDateTime": "2025-03-21 10:19:25 000093", "utc": 1742519965093 }, "description": "(automatically created, don't delete it) for the Search Engine Cluster itself", "statusCode": "RUN", "accessControlGroupRuleNo": 1118608, "accessControlGroupSequence": 250025, "ipBlock": null, "isInboundRule": true, "portRange": "9300", "protocolTypeCode": "tcp" }, ... ], "outboundAcgRules": [ { "accessControlGroupName": null, "accessControlGroupNo": 250025, "createdYmdt": { "formattedDate": "2025-03-21", "formattedDateTime": "2025-03-21 10:19:25 000118", "utc": 1742519965118 }, "description": "automatically created, don't delete it", "statusCode": "RUN", "accessControlGroupRuleNo": 641670, "accessControlGroupSequence": null, "ipBlock": "0.0.0.0/0", "isInboundRule": false, "portRange": null, "protocolTypeCode": "icmp" }, ... ] }, "masterNodeAcgRule": { "inboundAcgRules": [ { "accessControlGroupName": "searchengine-do-1prxlw", "accessControlGroupNo": 250027, "createdYmdt": { "formattedDate": "2025-03-21", "formattedDateTime": "2025-03-21 10:19:24 000981", "utc": 1742519964981 }, "description": "(automatically created, don't delete it) for the Search Engine Cluster itself", "statusCode": "RUN", "accessControlGroupRuleNo": 1118604, "accessControlGroupSequence": 250025, "ipBlock": null, "isInboundRule": true, "portRange": "9300", "protocolTypeCode": "tcp" }, ... ], "outboundAcgRules": [ { "accessControlGroupName": null, "accessControlGroupNo": 250027, "createdYmdt": { "formattedDate": "2025-03-21", "formattedDateTime": "2025-03-21 10:19:25 000002", "utc": 1742519965002 }, "description": "automatically created, don't delete it", "statusCode": "RUN", "accessControlGroupRuleNo": 641667, "accessControlGroupSequence": null, "ipBlock": "0.0.0.0/0", "isInboundRule": false, "portRange": null, "protocolTypeCode": "icmp" }, ... ] } }, "requestId": "68739bde-****-****-****-8a775b1a5416" } ```